export default class TuningTask {
  static list (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/tuningTask/list', 'post', params, axiosOption, httpOption);
  }
            
  static view (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/tuningTask/view', 'get', params, axiosOption, httpOption);
  }
            
  static export (sender, params, fileName) {
    return sender.download('/admin/app/tuningTask/export', params, fileName);
  }
            
  static add (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/tuningTask/add', 'post', params, axiosOption, httpOption);
  }
            
  static update (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/tuningTask/update', 'post', params, axiosOption, httpOption);
  }
            
  static delete (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/tuningTask/delete', 'post', params, axiosOption, httpOption);
  }
  static listForTree (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/tuningTask/listForTree', 'post', params, axiosOption, httpOption);
  }
}
